Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 583908 - Maintainership request: mail-filter/spamassassin
Summary: Maintainership request: mail-filter/spamassassin
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Proxy Maintainers
URL:
Whiteboard:
Keywords:
Depends on: 322025 396307 455604 494260 523960 532094 579222 579666
Blocks: 586388 586390
  Show dependency tree
 
Reported: 2016-05-23 22:07 UTC by Philippe Chaintreuil
Modified: 2017-08-05 15:59 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Chaintreuil 2016-05-23 22:07:12 UTC
As mentioned in bug #579222 I'm willing to step forward as a Proxy Maintainer for mail-filter/spamassassin.

I should note that Marcin Mirosław[1] & Atman Sense[2] have also expressed interest in co-maintaining spamassassin.


[1] https://bugs.gentoo.org/show_bug.cgi?id=579222#c13
[2] https://bugs.gentoo.org/show_bug.cgi?id=579222#c15
Comment 1 Sam Jorna (wraeth) gentoo-dev 2016-05-30 12:44:51 UTC
Hi, thanks for offering to maintain this.

Firstly, can I ask whether you've read through the information on the Proxy Maintainers wiki space at [0]?

There are a number of open bugs for SpamAssassin (which I have linked in the 'Depends on' field). I can assign maintainer(s) once these start getting resolved. I can see that bug 579222 is almost ready to be resolved.

Also, it's possible to have multiple maintainers assigned to the package, if you're interested. This would mean that any bugs would be assigned to the first name in the metadata with the remaining maintainers CC'd on bugs (though all can offer patches etc). This would also typically mean that maintainers will need to be able to agree on what is to be done with the package.

Please let me know about these points.

0: https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers

Cheers, and thanks!
wraeth
Comment 2 Marcin Mirosław 2016-05-30 14:24:16 UTC
Hi Sam!
I readed wiki [0].
For me it's more convenient to be on CC list or to be assigned to bug because it will notify me that there is a bug.
Comment 3 Philippe Chaintreuil 2016-05-30 15:44:01 UTC
I have read through the Proxy Maintainer page and I'm fine with multi-maintinership as well.
Comment 4 Philippe Chaintreuil 2016-05-30 15:51:47 UTC
I've posted a comment on bug #494260 in hopes that it's user-error or at least indicates which that the docs are there and just need to be converted to man-page format.

I'll look at bug #322025 tomorrow, since it seemed well defined.

wraeth: Just to confirm, posting questions here is the/your preferred way of getting how-do-I/is-it-okay-if-I questions?

Marcin: What's your preferred method of communication?  Posts here?  Direct e-mail?
Comment 5 Marcin Mirosław 2016-05-30 16:04:36 UTC
I'll take #396307, #455604, #523960.
I prefer communicate using email/jabber or post on bugzilla as you wish and what is more convenient for you at given time.
Comment 6 Sam Jorna (wraeth) gentoo-dev 2016-05-31 08:12:10 UTC
(In reply to Marcin Mirosław from comment #2)
> For me it's more convenient to be on CC list or to be assigned to bug
> because it will notify me that there is a bug.

All people/projects listed in the metadata.xml[0] get assigned/CC'd to bugs - see the Bug Wranglers[1] wiki.

(In reply to Philippe Chaintreuil from comment #4)
> wraeth: Just to confirm, posting questions here is the/your preferred way of
> getting how-do-I/is-it-okay-if-I questions?

For specific questions about each bug, you can post the question on the relevant bug or alternatively, or for more general queries, you can contact the Proxy Maintainers project either through E-Mail or in the #gentoo-proxy-maint channel on the Freenode IRC network. For general ebuilding help, there's also #gentoo-dev-help on Freenode as well.

0: https://devmanual.gentoo.org/ebuild-writing/misc-files/metadata/
1: https://wiki.gentoo.org/wiki/Project:Bug-wranglers#Bug_wrangling
Comment 7 Michael Orlitzky gentoo-dev 2016-06-05 22:41:54 UTC
No more bugs! So I took care of this one, too. (Hope you don't mind).

I just added Philippe and Marcin to metadata.xml along with the Proxy Maintainers project:

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bcd92038135dae3fea3f1cdeb70674de3e4860ef

I added myself too, for now, in case any of my recent changes introduce new bugs.